Upload profile avatar
curl --request POST \
--url https://api.example.com/v1/profile/avatar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.example.com/v1/profile/avatar"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/v1/profile/avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://example.com/avatars/123.jpg",
"thumbnail_url": "https://example.com/avatars/123_thumb.jpg"
}{
"code": "profile.invalid_file_type",
"message": "Invalid file type. Supported types: jpg, png"
}Avatar
Upload profile avatar
Upload a new profile avatar image
POST
/
v1
/
profile
/
avatar
Upload profile avatar
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Avatar image file
⌘I